Subject: [icnrg] CCNx 1.0 selector discovery

From: <[email-masked]>
Date: Mon, 1 Aug 2016 16:07:31 +0000

All,

Back in 2014, I believe we discussed how to use an equivalent of NDN/CCNx 0.x selector discovery in CCNx 1.0, but we never publicly published that spec.  It was tied up with some early drafts of CCNx 1.0.  Here is a writeup of how to do the equivalent of selector based discovery on top of CCNx 1.0.  I do not intend this to be the single, canonical way of doing discovery.  I think there are many ways one could do it, and CCNx 1.0 provides the flexibility to use different discovery protocols.

I had to update it a fair bit from the pre-public 1.0 spec it was written against at that time.  Therefore, there may still be a few issues with how it is written up and I would appreciate feedback.

Marc

https://www.ietf.org/id/draft-mosko-icnrg-selectors-00.txt

P.S. 
Some other example discovery protocols are described here:

http://www.ccnx.org/pubs/hhg/4.8%20CCNx%201.0%20Simple%20Service%20Discovery%20for%20Content%20Centric%20Networks.pdf
http://www.ccnx.org/pubs/hhg/4.7%20CCNx%201.0%20Collection%20Synchronization.pdf

P.P.S 
Also on the NDN-INTEREST mailing list, I gave another example that is more SQL-like in syntax and returns row sets (not data objects), and allows one to specifically exclude an entire Content Store.
http://www.lists.cs.ucla.edu/pipermail/ndn-interest/2016-March/001051.html